Index: /trunk/src/paper01/fig14/subdctn_sws_validation_net_1991_93_all_v10.pro
===================================================================
--- /trunk/src/paper01/fig14/subdctn_sws_validation_net_1991_93_all_v10.pro	(revision 93)
+++ /trunk/src/paper01/fig14/subdctn_sws_validation_net_1991_93_all_v10.pro	(revision 94)
@@ -139,86 +139,205 @@
 ;; reading other data sets
 
-st1=19910626 & en1=19911101
-st2=19920206 & en2=19920602
-st3=19921011 & en3=19921231
-st4=19930101 & en4=19930521
+st1=19910626 
+en1=19911101
+st2=19920206 
+en2=19920602
+st3=19921011 
+en3=19921231
+st4=19930101 
+en4=19930521
 
 file=project_id_env+"erai_swr_19910101_20091231_oafluxgrid.nc"
 initncdf, file
-swr1=read_ncdf('swr',st1,en1,file=file,/nostr, box=box) & swr1=grossemoyenne(swr1, "xy", box=box,/nan) & swr1=reform(swr1)
-swr2=read_ncdf('swr',st2,en2,file=file,/nostr, box=box) & swr2=grossemoyenne(swr2, "xy", box=box,/nan) & swr2=reform(swr2)
-swr3=read_ncdf('swr',st3,en3,file=file,/nostr, box=box) & swr3=grossemoyenne(swr3, "xy", box=box,/nan) & swr3=reform(swr3)
-swr4=read_ncdf('swr',st4,en4,file=file,/nostr, box=box) & swr4=grossemoyenne(swr4, "xy", box=box,/nan) & swr4=reform(swr4)
+swr1=read_ncdf('swr',st1,en1,file=file,/nostr, box=box) 
+swr1=grossemoyenne(swr1, "xy", box=box,/nan) 
+swr1=reform(swr1)
+swr2=read_ncdf('swr',st2,en2,file=file,/nostr, box=box) 
+swr2=grossemoyenne(swr2, "xy", box=box,/nan) 
+swr2=reform(swr2)
+swr3=read_ncdf('swr',st3,en3,file=file,/nostr, box=box) 
+swr3=grossemoyenne(swr3, "xy", box=box,/nan) 
+swr3=reform(swr3)
+swr4=read_ncdf('swr',st4,en4,file=file,/nostr, box=box) 
+swr4=grossemoyenne(swr4, "xy", box=box,/nan) 
+swr4=reform(swr4)
 
 file=project_id_env+'erai_lhf_19890101_20091231_oafluxgrid.nc'
 initncdf, file
-lhf1=-1*read_ncdf('lhf',st1,en1,file=file,/nostr, box=box) & lhf1=grossemoyenne(lhf1, "xy", box=box,/nan) & lhf1=reform(lhf1)
-lhf2=-1*read_ncdf('lhf',st2,en2,file=file,/nostr, box=box) & lhf2=grossemoyenne(lhf2, "xy", box=box,/nan) & lhf2=reform(lhf2)
-lhf3=-1*read_ncdf('lhf',st3,en3,file=file,/nostr, box=box) & lhf3=grossemoyenne(lhf3, "xy", box=box,/nan) & lhf3=reform(lhf3)
-lhf4=-1*read_ncdf('lhf',st4,en4,file=file,/nostr, box=box) & lhf4=grossemoyenne(lhf4, "xy", box=box,/nan) & lhf4=reform(lhf4)
+lhf1=-1*read_ncdf('lhf',st1,en1,file=file,/nostr, box=box) 
+lhf1=grossemoyenne(lhf1, "xy", box=box,/nan) 
+lhf1=reform(lhf1)
+lhf2=-1*read_ncdf('lhf',st2,en2,file=file,/nostr, box=box) 
+lhf2=grossemoyenne(lhf2, "xy", box=box,/nan) 
+lhf2=reform(lhf2)
+lhf3=-1*read_ncdf('lhf',st3,en3,file=file,/nostr, box=box) 
+lhf3=grossemoyenne(lhf3, "xy", box=box,/nan) 
+lhf3=reform(lhf3)
+lhf4=-1*read_ncdf('lhf',st4,en4,file=file,/nostr, box=box) 
+lhf4=grossemoyenne(lhf4, "xy", box=box,/nan) 
+lhf4=reform(lhf4)
 
 file=project_id_env+'erai_shf_19890101_20091231_oafluxgrid.nc'
 initncdf, file
-shf1=-1*read_ncdf('shf',st1,en1,file=file,/nostr, box=box) & shf1=grossemoyenne(shf1, "xy", box=box,/nan) & shf1=reform(shf1)
-shf2=-1*read_ncdf('shf',st2,en2,file=file,/nostr, box=box) & shf2=grossemoyenne(shf2, "xy", box=box,/nan) & shf2=reform(shf2)
-shf3=-1*read_ncdf('shf',st3,en3,file=file,/nostr, box=box) & shf3=grossemoyenne(shf3, "xy", box=box,/nan) & shf3=reform(shf3)
-shf4=-1*read_ncdf('shf',st4,en4,file=file,/nostr, box=box) & shf4=grossemoyenne(shf4, "xy", box=box,/nan) & shf4=reform(shf4)
+shf1=-1*read_ncdf('shf',st1,en1,file=file,/nostr, box=box) 
+shf1=grossemoyenne(shf1, "xy", box=box,/nan) 
+shf1=reform(shf1)
+shf2=-1*read_ncdf('shf',st2,en2,file=file,/nostr, box=box) 
+shf2=grossemoyenne(shf2, "xy", box=box,/nan) 
+shf2=reform(shf2)
+shf3=-1*read_ncdf('shf',st3,en3,file=file,/nostr, box=box) 
+shf3=grossemoyenne(shf3, "xy", box=box,/nan) 
+shf3=reform(shf3)
+shf4=-1*read_ncdf('shf',st4,en4,file=file,/nostr, box=box) 
+shf4=grossemoyenne(shf4, "xy", box=box,/nan) 
+shf4=reform(shf4)
 
 file=project_id_env+'erai_lwr_19890101_20091231_oafluxgrid.nc'
 initncdf, file
-lwr1=read_ncdf('lwr',st1-1,en1,file=file,/nostr, box=box) & lwr1=grossemoyenne(lwr1, "xy", box=box,/nan) & lwr1=reform(lwr1)
-lwr2=read_ncdf('lwr',st2-1,en2,file=file,/nostr, box=box) & lwr2=grossemoyenne(lwr2, "xy", box=box,/nan) & lwr2=reform(lwr2)
-lwr3=read_ncdf('lwr',st3-1,en3,file=file,/nostr, box=box) & lwr3=grossemoyenne(lwr3, "xy", box=box,/nan) & lwr3=reform(lwr3)
-lwr4=read_ncdf('lwr',st4-1,en4,file=file,/nostr, box=box) & lwr4=grossemoyenne(lwr4, "xy", box=box,/nan) & lwr4=reform(lwr4)
-
-net1=swr1+(lwr1+shf1+lhf1) & net2=swr2+(lwr2+shf2+lhf2) & net3=swr3+(lwr3+shf3+lhf3) & net4=swr4+(lwr4+shf4+lhf4)
+lwr1=read_ncdf('lwr',st1-1,en1,file=file,/nostr, box=box) 
+lwr1=grossemoyenne(lwr1, "xy", box=box,/nan) 
+lwr1=reform(lwr1)
+lwr2=read_ncdf('lwr',st2-1,en2,file=file,/nostr, box=box) 
+lwr2=grossemoyenne(lwr2, "xy", box=box,/nan) 
+lwr2=reform(lwr2)
+lwr3=read_ncdf('lwr',st3-1,en3,file=file,/nostr, box=box) 
+lwr3=grossemoyenne(lwr3, "xy", box=box,/nan) 
+lwr3=reform(lwr3)
+lwr4=read_ncdf('lwr',st4-1,en4,file=file,/nostr, box=box) 
+lwr4=grossemoyenne(lwr4, "xy", box=box,/nan) 
+lwr4=reform(lwr4)
+
+net1=swr1+(lwr1+shf1+lhf1) 
+net2=swr2+(lwr2+shf2+lhf2) 
+net3=swr3+(lwr3+shf3+lhf3) 
+net4=swr4+(lwr4+shf4+lhf4)
 era=[net1,net2,net3,net4]
-lhf1=0. & lhf2=0. & lhf3=0. & lhf4=0.
-shf1=0. & shf2=0. & shf3=0. & shf4=0.
-lwr1=0. & lwr2=0. & lwr3=0. & lwr4=0.
-swr1=0. & swr2=0. & swr3=0. & swr4=0.
-net1=0. & net2=0. & net3=0. & net4=0
+lhf1=0. 
+lhf2=0. 
+lhf3=0. 
+lhf4=0.
+shf1=0. 
+shf2=0. 
+shf3=0. 
+shf4=0.
+lwr1=0. 
+lwr2=0. 
+lwr3=0. 
+lwr4=0.
+swr1=0. 
+swr2=0. 
+swr3=0. 
+swr4=0.
+net1=0. 
+net2=0. 
+net3=0. 
+net4=0
 help, era
 
 file=project_id_env+"TropFlux_19890101_20091231.nc"
 initncdf, file
-lhf1=read_ncdf('lhf',st1,en1,file=file,/nostr, box=box) & lhf1=grossemoyenne(lhf1, "xy", box=box,/nan) & lhf1=reform(lhf1)
-lhf2=read_ncdf('lhf',st2,en2,file=file,/nostr, box=box) & lhf2=grossemoyenne(lhf2, "xy", box=box,/nan) & lhf2=reform(lhf2)
-lhf3=read_ncdf('lhf',st3,en3,file=file,/nostr, box=box) & lhf3=grossemoyenne(lhf3, "xy", box=box,/nan) & lhf3=reform(lhf3)
-lhf4=read_ncdf('lhf',st4,en4,file=file,/nostr, box=box) & lhf4=grossemoyenne(lhf4, "xy", box=box,/nan) & lhf4=reform(lhf4)
-
-shf1=read_ncdf('shf',st1,en1,file=file,/nostr, box=box) & shf1=grossemoyenne(shf1, "xy", box=box,/nan) & shf1=reform(shf1)
-shf2=read_ncdf('shf',st2,en2,file=file,/nostr, box=box) & shf2=grossemoyenne(shf2, "xy", box=box,/nan) & shf2=reform(shf2)
-shf3=read_ncdf('shf',st3,en3,file=file,/nostr, box=box) & shf3=grossemoyenne(shf3, "xy", box=box,/nan) & shf3=reform(shf3)
-shf4=read_ncdf('shf',st4,en4,file=file,/nostr, box=box) & shf4=grossemoyenne(shf4, "xy", box=box,/nan) & shf4=reform(shf4)
-
-lwr1=read_ncdf('lwr',st1,en1,file=file,/nostr, box=box) & lwr1=grossemoyenne(lwr1, "xy", box=box,/nan) & lwr1=reform(lwr1)
-lwr2=read_ncdf('lwr',st2,en2,file=file,/nostr, box=box) & lwr2=grossemoyenne(lwr2, "xy", box=box,/nan) & lwr2=reform(lwr2)
-lwr3=read_ncdf('lwr',st3,en3,file=file,/nostr, box=box) & lwr3=grossemoyenne(lwr3, "xy", box=box,/nan) & lwr3=reform(lwr3)
-lwr4=read_ncdf('lwr',st4,en4,file=file,/nostr, box=box) & lwr4=grossemoyenne(lwr4, "xy", box=box,/nan) & lwr4=reform(lwr4)
-
-swr1=read_ncdf('swr',st1,en1,file=file,/nostr, box=box) & swr1=grossemoyenne(swr1, "xy", box=box,/nan) & swr1=reform(swr1)
-swr2=read_ncdf('swr',st2,en2,file=file,/nostr, box=box) & swr2=grossemoyenne(swr2, "xy", box=box,/nan) & swr2=reform(swr2)
-swr3=read_ncdf('swr',st3,en3,file=file,/nostr, box=box) & swr3=grossemoyenne(swr3, "xy", box=box,/nan) & swr3=reform(swr3)
-swr4=read_ncdf('swr',st4,en4,file=file,/nostr, box=box) & swr4=grossemoyenne(swr4, "xy", box=box,/nan) & swr4=reform(swr4)
+lhf1=read_ncdf('lhf',st1,en1,file=file,/nostr, box=box) 
+lhf1=grossemoyenne(lhf1, "xy", box=box,/nan) 
+lhf1=reform(lhf1)
+lhf2=read_ncdf('lhf',st2,en2,file=file,/nostr, box=box) 
+lhf2=grossemoyenne(lhf2, "xy", box=box,/nan) 
+lhf2=reform(lhf2)
+lhf3=read_ncdf('lhf',st3,en3,file=file,/nostr, box=box) 
+lhf3=grossemoyenne(lhf3, "xy", box=box,/nan) 
+lhf3=reform(lhf3)
+lhf4=read_ncdf('lhf',st4,en4,file=file,/nostr, box=box) 
+lhf4=grossemoyenne(lhf4, "xy", box=box,/nan) 
+lhf4=reform(lhf4)
+
+shf1=read_ncdf('shf',st1,en1,file=file,/nostr, box=box) 
+shf1=grossemoyenne(shf1, "xy", box=box,/nan) 
+shf1=reform(shf1)
+shf2=read_ncdf('shf',st2,en2,file=file,/nostr, box=box) 
+shf2=grossemoyenne(shf2, "xy", box=box,/nan) 
+shf2=reform(shf2)
+shf3=read_ncdf('shf',st3,en3,file=file,/nostr, box=box) 
+shf3=grossemoyenne(shf3, "xy", box=box,/nan) 
+shf3=reform(shf3)
+shf4=read_ncdf('shf',st4,en4,file=file,/nostr, box=box) 
+shf4=grossemoyenne(shf4, "xy", box=box,/nan) 
+shf4=reform(shf4)
+
+lwr1=read_ncdf('lwr',st1,en1,file=file,/nostr, box=box) 
+lwr1=grossemoyenne(lwr1, "xy", box=box,/nan) 
+lwr1=reform(lwr1)
+lwr2=read_ncdf('lwr',st2,en2,file=file,/nostr, box=box) 
+lwr2=grossemoyenne(lwr2, "xy", box=box,/nan) 
+lwr2=reform(lwr2)
+lwr3=read_ncdf('lwr',st3,en3,file=file,/nostr, box=box) 
+lwr3=grossemoyenne(lwr3, "xy", box=box,/nan) 
+lwr3=reform(lwr3)
+lwr4=read_ncdf('lwr',st4,en4,file=file,/nostr, box=box) 
+lwr4=grossemoyenne(lwr4, "xy", box=box,/nan) 
+lwr4=reform(lwr4)
+
+swr1=read_ncdf('swr',st1,en1,file=file,/nostr, box=box) 
+swr1=grossemoyenne(swr1, "xy", box=box,/nan) 
+swr1=reform(swr1)
+swr2=read_ncdf('swr',st2,en2,file=file,/nostr, box=box) 
+swr2=grossemoyenne(swr2, "xy", box=box,/nan) 
+swr2=reform(swr2)
+swr3=read_ncdf('swr',st3,en3,file=file,/nostr, box=box) 
+swr3=grossemoyenne(swr3, "xy", box=box,/nan) 
+swr3=reform(swr3)
+swr4=read_ncdf('swr',st4,en4,file=file,/nostr, box=box) 
+swr4=grossemoyenne(swr4, "xy", box=box,/nan) 
+swr4=reform(swr4)
 
 file=project_id_env+"TropFlux_swr_19890101_20091231_NRT_v50.nc"
 initncdf, file
-olr1=read_ncdf("sw", st1-1, en1, file=file,/nostr, box=box) & olr1=grossemoyenne(olr1, "xy",/nan, box=box) & olr1=reform(olr1)
-olr2=read_ncdf("sw", st2-1, en2, file=file,/nostr, box=box) & olr2=grossemoyenne(olr2, "xy",/nan, box=box) & olr2=reform(olr2)
-olr3=read_ncdf("sw", st3-1, en3, file=file,/nostr, box=box) & olr3=grossemoyenne(olr3, "xy",/nan, box=box) & olr3=reform(olr3)
-olr4=read_ncdf("sw", st4-1, en4, file=file,/nostr, box=box) & olr4=grossemoyenne(olr4, "xy",/nan, box=box) & olr4=reform(olr4)
-
-net1=swr1+lwr1+(shf1+lhf1) & net2=swr2+lwr2+(shf2+lhf2) & net3=swr3+lwr3+(shf3+lhf3) & net4=swr4+lwr4+(shf4+lhf4)
-neto_1=olr1+lwr1+lhf1+shf1 & neto_2=olr2+lwr2+lhf2+shf2 & neto_3=olr3+lwr3+lhf3+shf3 & neto_4=olr4+lwr4+lhf4+shf4
-
-trop=[net1,net2,net3,net4] & olr=[neto_1,neto_2,neto_3,neto_4]
-
-lhf1=0. & lhf2=0. & lhf3=0. & lhf4=0.
-shf1=0. & shf2=0. & shf3=0. & shf4=0.
-lwr1=0. & lwr2=0. & lwr3=0. & lwr4=0.
-swr1=0. & swr2=0. & swr3=0. & swr4=0.
-net1=0. & net2=0. & net3=0. & net4=0.
-neto_1=0 & neto_2=0 & neto_3=0 & neto_4=0
+olr1=read_ncdf("sw", st1-1, en1, file=file,/nostr, box=box) 
+olr1=grossemoyenne(olr1, "xy",/nan, box=box) 
+olr1=reform(olr1)
+olr2=read_ncdf("sw", st2-1, en2, file=file,/nostr, box=box) 
+olr2=grossemoyenne(olr2, "xy",/nan, box=box) 
+olr2=reform(olr2)
+olr3=read_ncdf("sw", st3-1, en3, file=file,/nostr, box=box) 
+olr3=grossemoyenne(olr3, "xy",/nan, box=box) 
+olr3=reform(olr3)
+olr4=read_ncdf("sw", st4-1, en4, file=file,/nostr, box=box) 
+olr4=grossemoyenne(olr4, "xy",/nan, box=box) 
+olr4=reform(olr4)
+
+net1=swr1+lwr1+(shf1+lhf1) 
+net2=swr2+lwr2+(shf2+lhf2) 
+net3=swr3+lwr3+(shf3+lhf3) 
+net4=swr4+lwr4+(shf4+lhf4)
+neto_1=olr1+lwr1+lhf1+shf1 
+neto_2=olr2+lwr2+lhf2+shf2 
+neto_3=olr3+lwr3+lhf3+shf3 
+neto_4=olr4+lwr4+lhf4+shf4
+
+trop=[net1,net2,net3,net4] 
+olr=[neto_1,neto_2,neto_3,neto_4]
+
+lhf1=0. 
+lhf2=0. 
+lhf3=0. 
+lhf4=0.
+shf1=0. 
+shf2=0. 
+shf3=0. 
+shf4=0.
+lwr1=0. 
+lwr2=0. 
+lwr3=0. 
+lwr4=0.
+swr1=0. 
+swr2=0. 
+swr3=0. 
+swr4=0.
+net1=0. 
+net2=0. 
+net3=0. 
+net4=0.
+neto_1=0 
+neto_2=0 
+neto_3=0 
+neto_4=0
 
 help, trop, olr
@@ -226,38 +345,88 @@
 file=project_id_env+'swr_oafluxgrid_1985_2007.nc'
 initncdf, file
-swr1=read_ncdf("swr", st1, en1, file=file,/nostr, box=box) & swr1=grossemoyenne(swr1, "xy",/nan, box=box) & swr1=reform(swr1)
-swr2=read_ncdf("swr", st2, en2, file=file,/nostr, box=box) & swr2=grossemoyenne(swr2, "xy",/nan, box=box) & swr2=reform(swr2)
-swr3=read_ncdf("swr", st3, en3, file=file,/nostr, box=box) & swr3=grossemoyenne(swr3, "xy",/nan, box=box) & swr3=reform(swr3)
-swr4=read_ncdf("swr", st4, en4, file=file,/nostr, box=box) & swr4=grossemoyenne(swr4, "xy",/nan, box=box) & swr4=reform(swr4)
+swr1=read_ncdf("swr", st1, en1, file=file,/nostr, box=box) 
+swr1=grossemoyenne(swr1, "xy",/nan, box=box) 
+swr1=reform(swr1)
+swr2=read_ncdf("swr", st2, en2, file=file,/nostr, box=box) 
+swr2=grossemoyenne(swr2, "xy",/nan, box=box) 
+swr2=reform(swr2)
+swr3=read_ncdf("swr", st3, en3, file=file,/nostr, box=box) 
+swr3=grossemoyenne(swr3, "xy",/nan, box=box) 
+swr3=reform(swr3)
+swr4=read_ncdf("swr", st4, en4, file=file,/nostr, box=box) 
+swr4=grossemoyenne(swr4, "xy",/nan, box=box) 
+swr4=reform(swr4)
 
 file=project_id_env+'lwr_oafluxgrid_1985_2007.nc'
 initncdf, file
-lwr1=-1*read_ncdf("lwr", st1, en1, file=file,/nostr, box=box) & lwr1=grossemoyenne(lwr1, "xy",/nan, box=box) & lwr1=reform(lwr1)
-lwr2=-1*read_ncdf("lwr", st2, en2, file=file,/nostr, box=box) & lwr2=grossemoyenne(lwr2, "xy",/nan, box=box) & lwr2=reform(lwr2)
-lwr3=-1*read_ncdf("lwr", st3, en3, file=file,/nostr, box=box) & lwr3=grossemoyenne(lwr3, "xy",/nan, box=box) & lwr3=reform(lwr3)
-lwr4=-1*read_ncdf("lwr", st4, en4, file=file,/nostr, box=box) & lwr4=grossemoyenne(lwr4, "xy",/nan, box=box) & lwr4=reform(lwr4)
+lwr1=-1*read_ncdf("lwr", st1, en1, file=file,/nostr, box=box) 
+lwr1=grossemoyenne(lwr1, "xy",/nan, box=box) 
+lwr1=reform(lwr1)
+lwr2=-1*read_ncdf("lwr", st2, en2, file=file,/nostr, box=box) 
+lwr2=grossemoyenne(lwr2, "xy",/nan, box=box) 
+lwr2=reform(lwr2)
+lwr3=-1*read_ncdf("lwr", st3, en3, file=file,/nostr, box=box) 
+lwr3=grossemoyenne(lwr3, "xy",/nan, box=box) 
+lwr3=reform(lwr3)
+lwr4=-1*read_ncdf("lwr", st4, en4, file=file,/nostr, box=box) 
+lwr4=grossemoyenne(lwr4, "xy",/nan, box=box) 
+lwr4=reform(lwr4)
 
 file=project_id_env+'lhf_oafluxgrid_1985_2009.nc'
 initncdf, file
-lhf1=-1*read_ncdf("lhf", st1, en1, file=file,/nostr, box=box) & lhf1=grossemoyenne(lhf1, "xy",/nan, box=box) & lhf1=reform(lhf1)
-lhf2=-1*read_ncdf("lhf", st2, en2, file=file,/nostr, box=box) & lhf2=grossemoyenne(lhf2, "xy",/nan, box=box) & lhf2=reform(lhf2)
-lhf3=-1*read_ncdf("lhf", st3, en3, file=file,/nostr, box=box) & lhf3=grossemoyenne(lhf3, "xy",/nan, box=box) & lhf3=reform(lhf3)
-lhf4=-1*read_ncdf("lhf", st4, en4, file=file,/nostr, box=box) & lhf4=grossemoyenne(lhf4, "xy",/nan, box=box) & lhf4=reform(lhf4)
+lhf1=-1*read_ncdf("lhf", st1, en1, file=file,/nostr, box=box) 
+lhf1=grossemoyenne(lhf1, "xy",/nan, box=box) 
+lhf1=reform(lhf1)
+lhf2=-1*read_ncdf("lhf", st2, en2, file=file,/nostr, box=box) 
+lhf2=grossemoyenne(lhf2, "xy",/nan, box=box) 
+lhf2=reform(lhf2)
+lhf3=-1*read_ncdf("lhf", st3, en3, file=file,/nostr, box=box) 
+lhf3=grossemoyenne(lhf3, "xy",/nan, box=box) 
+lhf3=reform(lhf3)
+lhf4=-1*read_ncdf("lhf", st4, en4, file=file,/nostr, box=box) 
+lhf4=grossemoyenne(lhf4, "xy",/nan, box=box) 
+lhf4=reform(lhf4)
 
 file=project_id_env+'shf_oafluxgrid_1985_2009.nc'
 initncdf, file
-shf1=-1*read_ncdf("shf", st1, en1, file=file,/nostr, box=box) & shf1=grossemoyenne(shf1, "xy",/nan, box=box) & shf1=reform(shf1)
-shf2=-1*read_ncdf("shf", st2, en2, file=file,/nostr, box=box) & shf2=grossemoyenne(shf2, "xy",/nan, box=box) & shf2=reform(shf2)
-shf3=-1*read_ncdf("shf", st3, en3, file=file,/nostr, box=box) & shf3=grossemoyenne(shf3, "xy",/nan, box=box) & shf3=reform(shf3)
-shf4=-1*read_ncdf("shf", st4, en4, file=file,/nostr, box=box) & shf4=grossemoyenne(shf4, "xy",/nan, box=box) & shf4=reform(shf4)
-
-net1=swr1+lwr1+lhf1+shf1 & net2=swr2+lwr2+lhf2+shf2 & net3=swr3+lwr3+lhf3+shf3 & net4=swr4+lwr4+lhf4+shf4
+shf1=-1*read_ncdf("shf", st1, en1, file=file,/nostr, box=box) 
+shf1=grossemoyenne(shf1, "xy",/nan, box=box) 
+shf1=reform(shf1)
+shf2=-1*read_ncdf("shf", st2, en2, file=file,/nostr, box=box) 
+shf2=grossemoyenne(shf2, "xy",/nan, box=box) 
+shf2=reform(shf2)
+shf3=-1*read_ncdf("shf", st3, en3, file=file,/nostr, box=box) 
+shf3=grossemoyenne(shf3, "xy",/nan, box=box) 
+shf3=reform(shf3)
+shf4=-1*read_ncdf("shf", st4, en4, file=file,/nostr, box=box) 
+shf4=grossemoyenne(shf4, "xy",/nan, box=box) 
+shf4=reform(shf4)
+
+net1=swr1+lwr1+lhf1+shf1 
+net2=swr2+lwr2+lhf2+shf2 
+net3=swr3+lwr3+lhf3+shf3 
+net4=swr4+lwr4+lhf4+shf4
 
 oaf=[net1,net2,net3,net4]
-lhf1=0. & lhf2=0. & lhf3=0. & lhf4=0.
-shf1=0. & shf2=0. & shf3=0. & shf4=0.
-lwr1=0. & lwr2=0. & lwr3=0. & lwr4=0.
-swr1=0. & swr2=0. & swr3=0. & swr4=0.
-net1=0. & net2=0. & net3=0. & net4=0
+lhf1=0. 
+lhf2=0. 
+lhf3=0. 
+lhf4=0.
+shf1=0. 
+shf2=0. 
+shf3=0. 
+shf4=0.
+lwr1=0. 
+lwr2=0. 
+lwr3=0. 
+lwr4=0.
+swr1=0. 
+swr2=0. 
+swr3=0. 
+swr4=0.
+net1=0. 
+net2=0. 
+net3=0. 
+net4=0
 help, oaf
 
@@ -266,74 +435,179 @@
 fi=project_id_env+'swr_ncep2_oaflxgrid_19890101_20091231.nc'
 initncdf, fi
-swr1=read_ncdf("swr", st1, en1, file=fi,/nostr, box=box) & swr1=grossemoyenne(swr1, "xy",/nan, box=box) & swr1=reform(swr1)
-swr2=read_ncdf("swr", st2, en2, file=fi,/nostr, box=box) & swr2=grossemoyenne(swr2, "xy",/nan, box=box) & swr2=reform(swr2)
-swr3=read_ncdf("swr", st3, en3, file=fi,/nostr, box=box) & swr3=grossemoyenne(swr3, "xy",/nan, box=box) & swr3=reform(swr3)
-swr4=read_ncdf("swr", st4, en4, file=fi,/nostr, box=box) & swr4=grossemoyenne(swr4, "xy",/nan, box=box) & swr4=reform(swr4)
+swr1=read_ncdf("swr", st1, en1, file=fi,/nostr, box=box) 
+swr1=grossemoyenne(swr1, "xy",/nan, box=box) 
+swr1=reform(swr1)
+swr2=read_ncdf("swr", st2, en2, file=fi,/nostr, box=box) 
+swr2=grossemoyenne(swr2, "xy",/nan, box=box) 
+swr2=reform(swr2)
+swr3=read_ncdf("swr", st3, en3, file=fi,/nostr, box=box) 
+swr3=grossemoyenne(swr3, "xy",/nan, box=box) 
+swr3=reform(swr3)
+swr4=read_ncdf("swr", st4, en4, file=fi,/nostr, box=box) 
+swr4=grossemoyenne(swr4, "xy",/nan, box=box) 
+swr4=reform(swr4)
 
 fi=project_id_env+'"NCEP2_flux_19890101_20090729.nc"
 initncdf, fi
-lwr1=-1*read_ncdf("lwr", st1, en1, file=fi,/nostr, box=box) & lwr1=grossemoyenne(lwr1, "xy",/nan, box=box) & lwr1=reform(lwr1)
-lwr2=-1*read_ncdf("lwr", st2, en2, file=fi,/nostr, box=box) & lwr2=grossemoyenne(lwr2, "xy",/nan, box=box) & lwr2=reform(lwr2)
-lwr3=-1*read_ncdf("lwr", st3, en3, file=fi,/nostr, box=box) & lwr3=grossemoyenne(lwr3, "xy",/nan, box=box) & lwr3=reform(lwr3)
-lwr4=-1*read_ncdf("lwr", st4, en4, file=fi,/nostr, box=box) & lwr4=grossemoyenne(lwr4, "xy",/nan, box=box) & lwr4=reform(lwr4)
+lwr1=-1*read_ncdf("lwr", st1, en1, file=fi,/nostr, box=box) 
+lwr1=grossemoyenne(lwr1, "xy",/nan, box=box) 
+lwr1=reform(lwr1)
+lwr2=-1*read_ncdf("lwr", st2, en2, file=fi,/nostr, box=box) 
+lwr2=grossemoyenne(lwr2, "xy",/nan, box=box) 
+lwr2=reform(lwr2)
+lwr3=-1*read_ncdf("lwr", st3, en3, file=fi,/nostr, box=box) 
+lwr3=grossemoyenne(lwr3, "xy",/nan, box=box)
+lwr3=reform(lwr3)
+lwr4=-1*read_ncdf("lwr", st4, en4, file=fi,/nostr, box=box) 
+lwr4=grossemoyenne(lwr4, "xy",/nan, box=box) 
+lwr4=reform(lwr4)
 
 fi=project_id_env+'lhf_ncep2_oafluxgrid_19890101_20091231.nc'
 initncdf, fi
-lhf1=-1*read_ncdf("lhf", st1, en1, file=fi,/nostr, box=box) & lhf1=grossemoyenne(lhf1, "xy",/nan, box=box) & lhf1=reform(lhf1)
-lhf2=-1*read_ncdf("lhf", st2, en2, file=fi,/nostr, box=box) & lhf2=grossemoyenne(lhf2, "xy",/nan, box=box) & lhf2=reform(lhf2)
-lhf3=-1*read_ncdf("lhf", st3, en3, file=fi,/nostr, box=box) & lhf3=grossemoyenne(lhf3, "xy",/nan, box=box) & lhf3=reform(lhf3)
-lhf4=-1*read_ncdf("lhf", st4, en4, file=fi,/nostr, box=box) & lhf4=grossemoyenne(lhf4, "xy",/nan, box=box) & lhf4=reform(lhf4)
+lhf1=-1*read_ncdf("lhf", st1, en1, file=fi,/nostr, box=box) 
+lhf1=grossemoyenne(lhf1, "xy",/nan, box=box) 
+lhf1=reform(lhf1)
+lhf2=-1*read_ncdf("lhf", st2, en2, file=fi,/nostr, box=box) 
+lhf2=grossemoyenne(lhf2, "xy",/nan, box=box) 
+lhf2=reform(lhf2)
+lhf3=-1*read_ncdf("lhf", st3, en3, file=fi,/nostr, box=box) 
+lhf3=grossemoyenne(lhf3, "xy",/nan, box=box) 
+lhf3=reform(lhf3)
+lhf4=-1*read_ncdf("lhf", st4, en4, file=fi,/nostr, box=box) 
+lhf4=grossemoyenne(lhf4, "xy",/nan, box=box) 
+lhf4=reform(lhf4)
 
 fi=project_id_env+'shf_ncep2_oafluxgrid_19890101_20091231.nc'
 initncdf, fi
-shf1=-1*read_ncdf("shf", st1, en1, file=fi,/nostr, box=box) & shf1=grossemoyenne(shf1, "xy",/nan, box=box) & shf1=reform(shf1)
-shf2=-1*read_ncdf("shf", st2, en2, file=fi,/nostr, box=box) & shf2=grossemoyenne(shf2, "xy",/nan, box=box) & shf2=reform(shf2)
-shf3=-1*read_ncdf("shf", st3, en3, file=fi,/nostr, box=box) & shf3=grossemoyenne(shf3, "xy",/nan, box=box) & shf3=reform(shf3)
-shf4=-1*read_ncdf("shf", st4, en4, file=fi,/nostr, box=box) & shf4=grossemoyenne(shf4, "xy",/nan, box=box) & shf4=reform(shf4)
-
-net1=swr1+lwr1+lhf1+shf1 & net2=swr2+lwr2+lhf2+shf2 & net3=swr3+lwr3+lhf3+shf3 & net4=swr4+lwr4+lhf4+shf4
+shf1=-1*read_ncdf("shf", st1, en1, file=fi,/nostr, box=box) 
+shf1=grossemoyenne(shf1, "xy",/nan, box=box) 
+shf1=reform(shf1)
+shf2=-1*read_ncdf("shf", st2, en2, file=fi,/nostr, box=box) 
+shf2=grossemoyenne(shf2, "xy",/nan, box=box) 
+shf2=reform(shf2)
+shf3=-1*read_ncdf("shf", st3, en3, file=fi,/nostr, box=box) 
+shf3=grossemoyenne(shf3, "xy",/nan, box=box) 
+shf3=reform(shf3)
+shf4=-1*read_ncdf("shf", st4, en4, file=fi,/nostr, box=box) 
+shf4=grossemoyenne(shf4, "xy",/nan, box=box) 
+shf4=reform(shf4)
+
+net1=swr1+lwr1+lhf1+shf1 
+net2=swr2+lwr2+lhf2+shf2 
+net3=swr3+lwr3+lhf3+shf3 
+net4=swr4+lwr4+lhf4+shf4
 
 nce2=[net1,net2,net3,net4]
 help, nce2
 
-lhf1=0. & lhf2=0. & lhf3=0. & lhf4=0.
-shf1=0. & shf2=0. & shf3=0. & shf4=0.
-lwr1=0. & lwr2=0. & lwr3=0. & lwr4=0.
-swr1=0. & swr2=0. & swr3=0. & swr4=0.
-net1=0. & net2=0. & net3=0. & net4=0
+lhf1=0. 
+lhf2=0. 
+lhf3=0. 
+lhf4=0.
+shf1=0. 
+shf2=0. 
+shf3=0. 
+shf4=0.
+lwr1=0. 
+lwr2=0. 
+lwr3=0. 
+lwr4=0.
+swr1=0. 
+swr2=0. 
+swr3=0. 
+swr4=0.
+net1=0. 
+net2=0. 
+net3=0. 
+net4=0
 
 file=project_id_env+"ncep1_flux_19890101_20091231.nc"
 initncdf, file
 
-lhf1=read_ncdf('lhf',st1,en1,file=file,/nostr, box=box) & lhf1=grossemoyenne(lhf1, "xy", box=box,/nan) & lhf1=reform(lhf1)
-lhf2=read_ncdf('lhf',st2,en2,file=file,/nostr, box=box) & lhf2=grossemoyenne(lhf2, "xy", box=box,/nan) & lhf2=reform(lhf2)
-lhf3=read_ncdf('lhf',st3,en3,file=file,/nostr, box=box) & lhf3=grossemoyenne(lhf3, "xy", box=box,/nan) & lhf3=reform(lhf3)
-lhf4=read_ncdf('lhf',st4,en4,file=file,/nostr, box=box) & lhf4=grossemoyenne(lhf4, "xy", box=box,/nan) & lhf4=reform(lhf4)
-
-shf1=read_ncdf('shf',st1,en1,file=file,/nostr, box=box) & shf1=grossemoyenne(shf1, "xy", box=box,/nan) & shf1=reform(shf1)
-shf2=read_ncdf('shf',st2,en2,file=file,/nostr, box=box) & shf2=grossemoyenne(shf2, "xy", box=box,/nan) & shf2=reform(shf2)
-shf3=read_ncdf('shf',st3,en3,file=file,/nostr, box=box) & shf3=grossemoyenne(shf3, "xy", box=box,/nan) & shf3=reform(shf3)
-shf4=read_ncdf('shf',st4,en4,file=file,/nostr, box=box) & shf4=grossemoyenne(shf4, "xy", box=box,/nan) & shf4=reform(shf4)
-
-lwr1=read_ncdf('lwr',st1,en1,file=file,/nostr, box=box) & lwr1=grossemoyenne(lwr1, "xy", box=box,/nan) & lwr1=reform(lwr1)
-lwr2=read_ncdf('lwr',st2,en2,file=file,/nostr, box=box) & lwr2=grossemoyenne(lwr2, "xy", box=box,/nan) & lwr2=reform(lwr2)
-lwr3=read_ncdf('lwr',st3,en3,file=file,/nostr, box=box) & lwr3=grossemoyenne(lwr3, "xy", box=box,/nan) & lwr3=reform(lwr3)
-lwr4=read_ncdf('lwr',st4,en4,file=file,/nostr, box=box) & lwr4=grossemoyenne(lwr4, "xy", box=box,/nan) & lwr4=reform(lwr4)
-
-swr1=read_ncdf('swr',st1,en1,file=file,/nostr, box=box) & swr1=grossemoyenne(swr1, "xy", box=box,/nan) & swr1=reform(swr1)
-swr2=read_ncdf('swr',st2,en2,file=file,/nostr, box=box) & swr2=grossemoyenne(swr2, "xy", box=box,/nan) & swr2=reform(swr2)
-swr3=read_ncdf('swr',st3,en3,file=file,/nostr, box=box) & swr3=grossemoyenne(swr3, "xy", box=box,/nan) & swr3=reform(swr3)
-swr4=read_ncdf('swr',st4,en4,file=file,/nostr, box=box) & swr4=grossemoyenne(swr4, "xy", box=box,/nan) & swr4=reform(swr4)
-
-net1=swr1+(lwr1+shf1+lhf1) & net2=swr2+(lwr2+shf2+lhf2) & net3=swr3+(lwr3+shf3+lhf3) & net4=swr4+(lwr4+shf4+lhf4)
+lhf1=read_ncdf('lhf',st1,en1,file=file,/nostr, box=box) 
+lhf1=grossemoyenne(lhf1, "xy", box=box,/nan) 
+lhf1=reform(lhf1)
+lhf2=read_ncdf('lhf',st2,en2,file=file,/nostr, box=box) 
+lhf2=grossemoyenne(lhf2, "xy", box=box,/nan) 
+lhf2=reform(lhf2)
+lhf3=read_ncdf('lhf',st3,en3,file=file,/nostr, box=box) 
+lhf3=grossemoyenne(lhf3, "xy", box=box,/nan) 
+lhf3=reform(lhf3)
+lhf4=read_ncdf('lhf',st4,en4,file=file,/nostr, box=box) 
+lhf4=grossemoyenne(lhf4, "xy", box=box,/nan) 
+lhf4=reform(lhf4)
+
+shf1=read_ncdf('shf',st1,en1,file=file,/nostr, box=box) 
+shf1=grossemoyenne(shf1, "xy", box=box,/nan) 
+shf1=reform(shf1)
+shf2=read_ncdf('shf',st2,en2,file=file,/nostr, box=box) 
+shf2=grossemoyenne(shf2, "xy", box=box,/nan) 
+shf2=reform(shf2)
+shf3=read_ncdf('shf',st3,en3,file=file,/nostr, box=box) 
+shf3=grossemoyenne(shf3, "xy", box=box,/nan) 
+shf3=reform(shf3)
+shf4=read_ncdf('shf',st4,en4,file=file,/nostr, box=box) 
+shf4=grossemoyenne(shf4, "xy", box=box,/nan) 
+shf4=reform(shf4)
+
+lwr1=read_ncdf('lwr',st1,en1,file=file,/nostr, box=box) 
+lwr1=grossemoyenne(lwr1, "xy", box=box,/nan) 
+lwr1=reform(lwr1)
+lwr2=read_ncdf('lwr',st2,en2,file=file,/nostr, box=box) 
+lwr2=grossemoyenne(lwr2, "xy", box=box,/nan) 
+lwr2=reform(lwr2)
+lwr3=read_ncdf('lwr',st3,en3,file=file,/nostr, box=box) 
+lwr3=grossemoyenne(lwr3, "xy", box=box,/nan) 
+lwr3=reform(lwr3)
+lwr4=read_ncdf('lwr',st4,en4,file=file,/nostr, box=box) 
+lwr4=grossemoyenne(lwr4, "xy", box=box,/nan) 
+lwr4=reform(lwr4)
+
+swr1=read_ncdf('swr',st1,en1,file=file,/nostr, box=box) 
+swr1=grossemoyenne(swr1, "xy", box=box,/nan) 
+swr1=reform(swr1)
+swr2=read_ncdf('swr',st2,en2,file=file,/nostr, box=box) 
+swr2=grossemoyenne(swr2, "xy", box=box,/nan) 
+swr2=reform(swr2)
+swr3=read_ncdf('swr',st3,en3,file=file,/nostr, box=box) 
+swr3=grossemoyenne(swr3, "xy", box=box,/nan) 
+swr3=reform(swr3)
+swr4=read_ncdf('swr',st4,en4,file=file,/nostr, box=box) 
+swr4=grossemoyenne(swr4, "xy", box=box,/nan) 
+swr4=reform(swr4)
+
+net1=swr1+(lwr1+shf1+lhf1) 
+net2=swr2+(lwr2+shf2+lhf2) 
+net3=swr3+(lwr3+shf3+lhf3) 
+net4=swr4+(lwr4+shf4+lhf4)
 nce1=[net1,net2,net3,net4]
-lhf1=0. & lhf2=0. & lhf3=0. & lhf4=0.
-shf1=0. & shf2=0. & shf3=0. & shf4=0.
-lwr1=0. & lwr2=0. & lwr3=0. & lwr4=0.
-swr1=0. & swr2=0. & swr3=0. & swr4=0.
-net1=0. & net2=0. & net3=0. & net4=0
+lhf1=0. 
+lhf2=0. 
+lhf3=0. 
+lhf4=0.
+shf1=0. 
+shf2=0. 
+shf3=0. 
+shf4=0.
+lwr1=0. 
+lwr2=0. 
+lwr3=0. 
+lwr4=0.
+swr1=0. 
+swr2=0. 
+swr3=0. 
+swr4=0.
+net1=0. 
+net2=0. 
+net3=0. 
+net4=0
 
 ind=where(finite(net))
-net=net(ind) & era=era(ind) & trop=trop(ind) & oaf=oaf(ind) & nce2=nce2(ind) & nce1=nce1(ind)
+net=net(ind) 
+era=era(ind) 
+trop=trop(ind) 
+oaf=oaf(ind) 
+nce2=nce2(ind) 
+nce1=nce1(ind)
 olr=olr(ind)
 
